import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const itemGroup = await conductor.qbd.itemGroups.update('80000001-1234567890', {
revisionNumber: '1721172183',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(itemGroup.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
item_group = conductor.qbd.item_groups.update(
id="80000001-1234567890",
revision_number="1721172183",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(item_group.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/item-groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"revisionNumber": "1721172183",
"name": "Office Supplies Bundle",
"barcode": {
"value": "012345678905",
"assignEvenIfUsed": false,
"allowOverride": false
},
"isActive": true,
"description": "Complete office starter kit with essential supplies for new employees.",
"unitOfMeasureSetId": "80000001-1234567890",
"forceUnitOfMeasureChange": false,
"shouldPrintItemsInGroup": true,
"clearItemLines": false,
"lines": [
{
"itemId": "80000001-1234567890",
"quantity": 5,
"unitOfMeasure": "Each"
}
]
}
'
{
"id": "80000001-1234567890",
"objectType": "qbd_item_group",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "Office Supplies Bundle",
"barcode": "012345678905",
"isActive": true,
"description": "Complete office starter kit with essential supplies for new employees.",
"unitOfMeasureSet": {
"id": "80000001-1234567890",
"fullName": "Weight Units"
},
"shouldPrintItemsInGroup": true,
"specialItemType": "finance_charge",
"externalId": "12345678-abcd-1234-abcd-1234567890ab",
"lines": [
{
"item": {
"id": "80000001-1234567890",
"fullName": "Widget A"
},
"quantity": 5,
"unitOfMeasure": "Each"
}
],
"customFields": [
{
"ownerId": "0",
"name": "Customer Rating",
"type": "string_1024_type",
"value": "Premium"
}
]
}Update an item group
Updates an existing item group.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const itemGroup = await conductor.qbd.itemGroups.update('80000001-1234567890', {
revisionNumber: '1721172183',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(itemGroup.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
item_group = conductor.qbd.item_groups.update(
id="80000001-1234567890",
revision_number="1721172183",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(item_group.id)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Path Parameters
The QuickBooks-assigned unique identifier of the item group to update.
36"80000001-1234567890"
Body
The current QuickBooks-assigned revision number of the item group object you are updating, which you can get by fetching the object first. Provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The case-insensitive unique name of this item group, unique across all item groups.
NOTE: Item groups do not have a fullName field because they are not hierarchical objects, which is why name is unique for them but not for objects that have parents.
Maximum length: 31 characters.
31"Office Supplies Bundle"
The item group's barcode.
Show child attributes
Show child attributes
Indicates whether this item group is active. Inactive objects are typically hidden from views and reports in QuickBooks. Defaults to true.
true
The item group's description that will appear on sales forms that include this item.
"Complete office starter kit with essential supplies for new employees."
The unit-of-measure set associated with this item group, which consists of a base unit and related units.
36"80000001-1234567890"
Indicates whether to allow changing the item group's unit-of-measure set (using the unitOfMeasureSetId field) when the base unit of the new unit-of-measure set does not match that of the currently assigned set. Without setting this field to true in this scenario, the request will fail with an error; hence, this field is equivalent to accepting the warning prompt in the QuickBooks UI.
NOTE: Changing the base unit requires you to update the item's quantities-on-hand and cost to reflect the new unit; otherwise, these values will be inaccurate. Alternatively, consider creating a new item with the desired unit-of-measure set and deactivating the old item.
false
Indicates whether the individual items in this item group and their separate amounts appear on printed forms.
true
When true, removes all existing item lines associated with this item group. To modify or add individual item lines, use the field itemLines instead.
false
The item lines in this item group.
1Show child attributes
Show child attributes
Response
Returns the updated item group.
The unique identifier assigned by QuickBooks to this item group. This ID is unique across all item groups but not across different QuickBooks object types.
"80000001-1234567890"
The type of object. This value is always "qbd_item_group".
"qbd_item_group""qbd_item_group"
The date and time when this item group was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-01-01T12:34:56.000Z"
The date and time when this item group was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-02-01T12:34:56.000Z"
The current QuickBooks-assigned revision number of this item group object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The case-insensitive unique name of this item group, unique across all item groups.
NOTE: Item groups do not have a fullName field because they are not hierarchical objects, which is why name is unique for them but not for objects that have parents.
"Office Supplies Bundle"
The item group's barcode.
"012345678905"
Indicates whether this item group is active. Inactive objects are typically hidden from views and reports in QuickBooks. Defaults to true.
true
The item group's description that will appear on sales forms that include this item.
"Complete office starter kit with essential supplies for new employees."
The unit-of-measure set associated with this item group, which consists of a base unit and related units.
Show child attributes
Show child attributes
{
"id": "80000001-1234567890",
"fullName": "Weight Units"
}
Indicates whether the individual items in this item group and their separate amounts appear on printed forms.
true
The type of special item for this item group.
finance_charge, reimbursable_expense_group, reimbursable_expense_subtotal "finance_charge"
A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.
"12345678-abcd-1234-abcd-1234567890ab"
The item lines in this item group.
Show child attributes
Show child attributes
The custom fields for the item group object, added as user-defined data extensions, not included in the standard QuickBooks object.
Show child attributes
Show child attributes

